// Filename: resitele.h
// Name of author: Petr Kovar
// Work begun:    01/12/2006
// Last modified: 04/01/2007
//
// Description:
// file with headings for generaing tables (header file)

// ------------------------------------------------------------------------------------------------------------------------

// Alokuj nov seznam archiv (a loh v nich)
SEZNAM_ULOH * new_seznam_uloh(void);

// Uvoln alokovanou pam seznamu loh
STATUS free_seznam_uloh(SEZNAM_ULOH * p_seznam_uloh);

// Alokuj nov seznam eitel
SEZNAM_RESITELU * new_seznam_resitelu(void);

// Uvoln alokovanou pam seznamu loh
STATUS free_seznam_resitelu(SEZNAM_RESITELU * p_seznam_resitelu);

// Alokuj nov seznam archiv (a loh v nich)
SEZNAM_RESENI * new_seznam_reseni(void);

// Uvoln alokovanou pam seznamu loh
STATUS free_seznam_reseni(SEZNAM_RESENI * p_seznam_reseni);

// Nate soubor se seznamem loh a rozdl je do archiv
SEZNAM_ULOH * read_ulohy(PARAMETERS * p_parameters);

// Vype seznam loh
void print_seznam_uloh(SEZNAM_ULOH * seznam_uloh);

// Vype seznam een
void print_seznam_reseni(SEZNAM_RESENI * seznam_reseni);

// Vype seznam eitel
void print_seznam_resitelu(SEZNAM_RESITELU * seznam_resitelu);

// Nate soubor se seznamem een a eitel a pid pslun odkazy do struktury loh i eitel
SEZNAM_RESENI * read_odpovedi(PARAMETERS * p_parameters, SEZNAM_ULOH * p_seznam_uloh, SEZNAM_RESITELU * p_seznam_resitelu);

// Uspod eitele v seznamu podle potu bod
STATUS counting_sort_resitele_by_points(SEZNAM_RESITELU * p_seznam_resitelu);

// eitel msce: k celkovho seznamu eitel vytvo zkrcen seznam eitel danho msce
SEZNAM_RESITELU * resitele_mesice(SEZNAM_RESITELU * seznam_resitelu, int mesic, int rok);

// Pikopruje soubor in_file (dan jmnem) do souboru out_file (dan file), chybov kdy pro error_open, error_close
STATUS include_file(FILE * out_file, char * jmeno_in_file, int error_code_open, int error_code_close);

// Vytvo soubor archiv.php se seznamem loh rozdlench podle archiv
STATUS create_archive_file(PARAMETERS * parameters, SEZNAM_ULOH * p_seznam_uloh);

// Vytvo soubor resitele.php se seznamem eitel msce i celkovm poadm
STATUS create_resitele_file(PARAMETERS * parameters, SEZNAM_RESITELU * p_seznam_resitelu, SEZNAM_RESITELU * p_seznam_resitelu_mesice);

// Vype info o aktulnch lohch
void aktualni_ulohy(PARAMETERS * parameters, SEZNAM_ULOH * p_seznam_uloh);


/*D
// Sea 'eitel' podle potu bod
int counting_sort_tabulka_resitelu_by_points(TABULKA_RESITELU * p_tabulka);

// Sea 'eitel' podle potu eench loh
int counting_sort_tabulka_resitelu_by_ulohy(TABULKA_RESITELU * p_tabulka);
*/

// ------------------------------------------------------------------------------------------------------------------------

// end of file
